创建 importedWindowsAutopilotDeviceIdentity
命名空间:microsoft.graph
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 importedWindowsAutopilotDeviceIdentity 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementServiceConfig.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 请求
POST /deviceManagement/importedWindowsAutopilotDeviceIdentities
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 importedWindowsAutopilotDeviceIdentity 对象的 JSON 表示形式。
下表显示创建 importedWindowsAutopilotDeviceIdentity 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 对象的 GUID |
| groupTag | String | Windows autopilot 设备的组标记。 |
| serialNumber | String | Windows autopilot 设备序列号。 |
| productKey | String | Windows autopilot 设备产品密钥。 |
| importId | String | Windows autopilot 设备的导入 ID。 |
| hardwareIdentifier | Binary | Windows autopilot 设备硬件 Blob。 |
| state | importedWindowsAutopilotDeviceIdentityState | 导入设备的当前状态。 |
| assignedUserPrincipalName | String | 将分配设备的用户的 UPN |
响应
如果成功,此方法会在响应正文中返回 201 Created 响应代码和 importedWindowsAutopilotDeviceIdentity 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/v1.0/deviceManagement/importedWindowsAutopilotDeviceIdentities
Content-type: application/json
Content-length: 631
{
"@odata.type": "#microsoft.graph.importedWindowsAutopilotDeviceIdentity",
"groupTag": "Group Tag value",
"serialNumber": "Serial Number value",
"productKey": "Product Key value",
"importId": "Import Id value",
"hardwareIdentifier": "aGFyZHdhcmVJZGVudGlmaWVy",
"state": {
"@odata.type": "microsoft.graph.importedWindowsAutopilotDeviceIdentityState",
"deviceImportStatus": "pending",
"deviceRegistrationId": "Device Registration Id value",
"deviceErrorCode": 15,
"deviceErrorName": "Device Error Name value"
},
"assignedUserPrincipalName": "Assigned User Principal Name value"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 680
{
"@odata.type": "#microsoft.graph.importedWindowsAutopilotDeviceIdentity",
"id": "985b4f49-4f49-985b-494f-5b98494f5b98",
"groupTag": "Group Tag value",
"serialNumber": "Serial Number value",
"productKey": "Product Key value",
"importId": "Import Id value",
"hardwareIdentifier": "aGFyZHdhcmVJZGVudGlmaWVy",
"state": {
"@odata.type": "microsoft.graph.importedWindowsAutopilotDeviceIdentityState",
"deviceImportStatus": "pending",
"deviceRegistrationId": "Device Registration Id value",
"deviceErrorCode": 15,
"deviceErrorName": "Device Error Name value"
},
"assignedUserPrincipalName": "Assigned User Principal Name value"
}
反馈
提交和查看相关反馈